# Method: dynamicFeeds.update

- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicFeeds/update#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicFeeds/update#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicFeeds/update#body.response_body)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicFeeds/update#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicFeeds/update#try-it)

Updates a new dynamic feed. For draft feeds, only Element can be updated. For published feeds, only FeedSchedule can be updated. Other fields will be ignored.

### HTTP request

`PUT https://dfareporting.googleapis.com/dfareporting/v5/studio/dynamicFeeds`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains an instance of `https://developers.google.com/doubleclick-advertisers/rest/v5/DynamicFeed`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/doubleclick-advertisers/rest/v5/DynamicFeed`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`